Bug 1276447 - RFE: add the libsparse tooling to create/edit the ext4 sparse images
RFE: add the libsparse tooling to create/edit the ext4 sparse images
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: android-tools (Show other bugs)
epel7
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Adam Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2015-10-29 14:03 EDT by Jim Perrin
Modified: 2016-03-28 08:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add android-tools-fsutils subpackage (4.07 KB, application/mbox)
2015-10-29 14:03 EDT, Jim Perrin
no flags Details

  None (edit)
Description Jim Perrin 2015-10-29 14:03:12 EDT
Created attachment 1087646 [details]
patch to add android-tools-fsutils subpackage

Description of problem:
creating sparse images for use with fastboot is easier when using make_ext4fs and/or img2simg, from the libsparse directory. 

Version-Release number of selected component (if applicable):
android-tools-20130123git98d0789-5

Currently the image creation tools aren't built. This patch creates a subpackage called android-tools-fsutils with make_ext4fs ext4fixup ext2simg img2simg simg2img and simg2simg 

I would request that this patch be added to the epel7 build, and possibly the fedora build if suitable.
Comment 1 Ivan Afonichev 2016-03-20 18:12:22 EDT
It seems all binaries are the same

xtracting debug info from /home/van/rpmbuild/BUILDROOT/android-tools-20160221git922e151ba2d8-5.fc23.R.x86_64/usr/bin/ext4fixup
extracting debug info from /home/van/rpmbuild/BUILDROOT/android-tools-20160221git922e151ba2d8-5.fc23.R.x86_64/usr/bin/adb
extracting debug info from /home/van/rpmbuild/BUILDROOT/android-tools-20160221git922e151ba2d8-5.fc23.R.x86_64/usr/bin/simg2simg
*** WARNING: identical binaries are copied, not linked:
        /usr/bin/simg2simg
   and  /usr/bin/ext4fixup
extracting debug info from /home/van/rpmbuild/BUILDROOT/android-tools-20160221git922e151ba2d8-5.fc23.R.x86_64/usr/bin/fastboot
extracting debug info from /home/van/rpmbuild/BUILDROOT/android-tools-20160221git922e151ba2d8-5.fc23.R.x86_64/usr/bin/simg2img
*** WARNING: identical binaries are copied, not linked:
        /usr/bin/simg2img
   and  /usr/bin/ext4fixup
extracting debug info from /home/van/rpmbuild/BUILDROOT/android-tools-20160221git922e151ba2d8-5.fc23.R.x86_64/usr/bin/ext2simg
*** WARNING: identical binaries are copied, not linked:
        /usr/bin/ext2simg
   and  /usr/bin/ext4fixup
extracting debug info from /home/van/rpmbuild/BUILDROOT/android-tools-20160221git922e151ba2d8-5.fc23.R.x86_64/usr/bin/make_ext4fs
*** WARNING: identical binaries are copied, not linked:
        /usr/bin/make_ext4fs
   and  /usr/bin/ext4fixup
extracting debug info from /home/van/rpmbuild/BUILDROOT/android-tools-20160221git922e151ba2d8-5.fc23.R.x86_64/usr/bin/img2simg
*** WARNING: identical binaries are copied, not linked:
        /usr/bin/img2simg
   and  /usr/bin/ext4fixup



I think it is not acceptable. We should create some libsparce-bin binary and link all names you need to it.
Comment 2 Ivan Afonichev 2016-03-20 18:26:57 EDT
Please provide more info what binaries do you need. In Android.mk I see only:
simg2img_host
simg2img
img2simg_host
img2simg
append2simg
Comment 3 Jim Perrin 2016-03-28 08:12:39 EDT
Note that this is for EPEL (EL7), and the simg2img and img2simg tools are not included there. If the EPEL package could be bumped to the f23 version, with the f23 tooling, that would likely resolve my issue just fine.
Comment 4 Ivan Afonichev 2016-03-28 08:38:18 EDT
We are working on update android-tools to the lastest upstream code. Please provide exact list of tools you want to be included into android-tools-fsutils subpackage
Comment 5 Jim Perrin 2016-03-28 08:59:54 EDT
I'd very much like to see:

img2simg
simg2img
ext2simg
append2simg

make_ext4fs would be handy, but I'm slightly concerned about the name. It could lead to confusion with the base distro filesystem usage. Also, there's a patch debian uses that allows it to preserve ownership. -> https://qa.debian.org/cgi-bin/vcswatch?package=android-tools

That patch is very useful when generating images for arm dev boards and phones.

Note You need to log in before you can comment on or make changes to this bug.